<?php

declare(strict_types=1);
namespace Drupal\Tests\sessionless\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\sessionless\WebTokenService\WebTokenServiceInterface;

/**
 * @group sessionless
 */
final class WebTokenServicesKernelTest extends KernelTestBase {

  protected static $modules = ['sessionless'];

  public function testServices(): void {
    $this->assertInstanceOf(WebTokenServiceInterface::class, $this->container->get('sessionless.web_token_service.encrypted_signed'));
    $this->assertInstanceOf(WebTokenServiceInterface::class, $this->container->get('sessionless.web_token_service.only_signed'));
  }

}
